Package com.google.android.exoplayer2.util

## Class LibraryLoader

- java.lang.Object
- - com.google.android.exoplayer2.util.LibraryLoader

-     public final class LibraryLoader
      extends Object

  Configurable loader for native libraries.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `LibraryLoader​(String... libraries)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `isAvailable()` | Returns whether the underlying libraries are available, loading them if necessary.
    `void` | `setLibraries​(String... libraries)` | Overrides the names of the libraries to load.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LibraryLoader

          public LibraryLoader​(String... libraries)

      Parameters:
        `libraries` - The names of the libraries to load.

  - ### Method Detail

    - #### setLibraries

          public void setLibraries​(String... libraries)

      Overrides the names of the libraries to load. Must be called before any call to `isAvailable()`.

    - #### isAvailable

          public boolean isAvailable()

      Returns whether the underlying libraries are available, loading them if necessary.